<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: API/src/LPUART.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('LPUART_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">LPUART.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation of the LPTIMER module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;API.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for LPUART.c:</div>
<div class="dyncontent">
<div class="center"><img src="LPUART_8c__incl.png" border="0" usemap="#API_2src_2LPUART_8c" alt=""/></div>
<map name="API_2src_2LPUART_8c" id="API_2src_2LPUART_8c">
<area shape="rect" id="node2" href="API_8h_source.html" title="API.h" alt="" coords="315,80,370,107"/><area shape="rect" id="node4" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="137,155,199,181"/><area shape="rect" id="node5" href="GPIO_8h.html" title="Header file for the GPIO.c module. " alt="" coords="216,229,283,256"/><area shape="rect" id="node6" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="299,155,386,181"/><area shape="rect" id="node7" href="USART_8h.html" title="Header file for the USART.c module. " alt="" coords="410,155,489,181"/><area shape="rect" id="node8" href="LPTIMER_8h.html" title="Header file for the LPTIMER.c module. " alt="" coords="513,155,604,181"/><area shape="rect" id="node10" href="WWDG_8h.html" title="Header file for the WWDG.c module. " alt="" coords="730,155,809,181"/></map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a059c597457fde5d70d0d030cc72ff396"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a059c597457fde5d70d0d030cc72ff396"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#a059c597457fde5d70d0d030cc72ff396">SEND_BUFFER_LEN</a>&#160;&#160;&#160;102</td></tr>
<tr class="memdesc:a059c597457fde5d70d0d030cc72ff396"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of the send-buffer in bytes. <br /></td></tr>
<tr class="separator:a059c597457fde5d70d0d030cc72ff396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1fcbccf0107eb5f5af03f95f13d2872"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1fcbccf0107eb5f5af03f95f13d2872"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#aa1fcbccf0107eb5f5af03f95f13d2872">RECEIVE_BUFFER_LEN</a>&#160;&#160;&#160;2</td></tr>
<tr class="memdesc:aa1fcbccf0107eb5f5af03f95f13d2872"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of the receive-buffer in bytes. <br /></td></tr>
<tr class="separator:aa1fcbccf0107eb5f5af03f95f13d2872"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aeff5ab457831144b784114f6da09a5de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeff5ab457831144b784114f6da09a5de"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#aeff5ab457831144b784114f6da09a5de">LPUART_DMA_Init</a> (void)</td></tr>
<tr class="memdesc:aeff5ab457831144b784114f6da09a5de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize DMA for LPUART. <br /></td></tr>
<tr class="separator:aeff5ab457831144b784114f6da09a5de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a78e16c0677cbfc83bab0e604f886b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#a01a78e16c0677cbfc83bab0e604f886b">LPUART_Init</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *lpuart_port_pin_rx, <a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> lpuart_alternative_function_rx, <a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *lpuart_port_pin_tx, <a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> lpuart_alternative_function_tx, uint32_t baudrate, void(*handler)(uint8_t *buffer))</td></tr>
<tr class="memdesc:a01a78e16c0677cbfc83bab0e604f886b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize LPUART.  <a href="#a01a78e16c0677cbfc83bab0e604f886b">More...</a><br /></td></tr>
<tr class="separator:a01a78e16c0677cbfc83bab0e604f886b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4eaf405476d9a39f4024b41dedf91bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#ad4eaf405476d9a39f4024b41dedf91bb">LPUART_Send</a> (uint8_t *buffer, uint8_t buffer_len, uint8_t send_crc)</td></tr>
<tr class="memdesc:ad4eaf405476d9a39f4024b41dedf91bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send function for the Low-Power UART.  <a href="#ad4eaf405476d9a39f4024b41dedf91bb">More...</a><br /></td></tr>
<tr class="separator:ad4eaf405476d9a39f4024b41dedf91bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedf923a36e99dd50350a393d4e94bc21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedf923a36e99dd50350a393d4e94bc21"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#aedf923a36e99dd50350a393d4e94bc21">DMA1_Channel2_3_IRQHandler</a> (void)</td></tr>
<tr class="memdesc:aedf923a36e99dd50350a393d4e94bc21"><td class="mdescLeft">&#160;</td><td class="mdescRight">IRQ Handler, called when a DMA transfer is complete (RX and TX) <br /></td></tr>
<tr class="separator:aedf923a36e99dd50350a393d4e94bc21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1646ff05b598e1d8eb8b0de64d9cd61f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1646ff05b598e1d8eb8b0de64d9cd61f"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#a1646ff05b598e1d8eb8b0de64d9cd61f">send_buffer</a> [<a class="el" href="USART_8c.html#a059c597457fde5d70d0d030cc72ff396">SEND_BUFFER_LEN</a>]</td></tr>
<tr class="memdesc:a1646ff05b598e1d8eb8b0de64d9cd61f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send buffer for the dma-transfer. <br /></td></tr>
<tr class="separator:a1646ff05b598e1d8eb8b0de64d9cd61f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a187656c39e3a735c6fb73f60e194baae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a187656c39e3a735c6fb73f60e194baae"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#a187656c39e3a735c6fb73f60e194baae">receive_buffer</a> [<a class="el" href="USART_8c.html#aa1fcbccf0107eb5f5af03f95f13d2872">RECEIVE_BUFFER_LEN</a>]</td></tr>
<tr class="memdesc:a187656c39e3a735c6fb73f60e194baae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive buffer for the dma-transfer. <br /></td></tr>
<tr class="separator:a187656c39e3a735c6fb73f60e194baae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14f5a3fed682e20ea9cab49e5d42f60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af14f5a3fed682e20ea9cab49e5d42f60"></a>
void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="LPUART_8c.html#af14f5a3fed682e20ea9cab49e5d42f60">p_lpuart_received_handler</a> )(uint8_t *buffer)</td></tr>
<tr class="memdesc:af14f5a3fed682e20ea9cab49e5d42f60"><td class="mdescLeft">&#160;</td><td class="mdescRight">function pointer for the received-handler <br /></td></tr>
<tr class="separator:af14f5a3fed682e20ea9cab49e5d42f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation of the LPTIMER module. </p>
<dl class="section author"><dt>Author</dt><dd>Andreas Hirtenlehner, Gerald Ebmer, Lukas Pechhacker </dd></dl>
<dl class="section date"><dt>Date</dt><dd>16.08.2016 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a01a78e16c0677cbfc83bab0e604f886b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LPUART_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>lpuart_port_pin_rx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>&#160;</td>
          <td class="paramname"><em>lpuart_alternative_function_rx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>lpuart_port_pin_tx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>&#160;</td>
          <td class="paramname"><em>lpuart_alternative_function_tx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(uint8_t *buffer)&#160;</td>
          <td class="paramname"><em>handler</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize LPUART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">lpuart_port_pin_rx</td><td>GPIO Instance of the RX-Pin </td></tr>
    <tr><td class="paramname">lpuart_alternative_function_rx</td><td>Alternative-Function Number of the RX-Pin </td></tr>
    <tr><td class="paramname">lpuart_port_pin_tx</td><td>GPIO Instance of the TX-Pin </td></tr>
    <tr><td class="paramname">lpuart_alternative_function_tx</td><td>Alternative-Function Number of the TX-Pin </td></tr>
    <tr><td class="paramname">baudrate</td><td>Baudrate used for the Low-Power UART </td></tr>
    <tr><td class="paramname">handler</td><td>function pointer to the received-handler </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad4eaf405476d9a39f4024b41dedf91bb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LPUART_Send </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>buffer_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>send_crc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send function for the Low-Power UART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buffer</td><td>pointer to the buffer for the bytes to transmit </td></tr>
    <tr><td class="paramname">buffer_len</td><td>length of the buffer in bytes </td></tr>
    <tr><td class="paramname">send_crc</td><td>0...do not send CRC16 &gt;0...send CRC16 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_19ea4dbfe8f0e4681f60b9b97f7b5d11.html">API</a></li><li class="navelem"><a class="el" href="dir_72c031272133aec1d916095cf903ecf1.html">src</a></li><li class="navelem"><a class="el" href="LPUART_8c.html">LPUART.c</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
